Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class RelationStrategies

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.RelationStrategies

    public class RelationStrategies

extends Object

Helper methods for relation mappings.

Author:
  Abe White

Constructor Summary
`RelationStrategies()`

Method Summary
`static OpenJPAStateManager` | `getStateManager(Object obj, StoreContext ctx)` Return the state manager for the given instance, using a detached state manager if the instnace is not managed.
`static boolean` | `isRelationId(Column[] cols)` Affirms if all of the given columns represent a relationship identifier.
`static boolean` | `isRelationId(ForeignKey fk)` Affirms if all of the foreign key columns represent a relationship identifier.
`static void` | `mapRelationToUnmappedPC(ValueMapping vm, DBIdentifier name, boolean adapt)`
`static void` | `mapRelationToUnmappedPC(ValueMapping vm, String name, boolean adapt)` Map a logical foreign key to an unmapped base class relation.
`static Object` | `toDataStoreValue(ValueMapping vm, Object val, JDBCStore store)` Return the given object as its foreign key values.
`static MetaDataException` | `uninversable(ValueMapping vm)` Return an exception indicating that the relation is invalid because it has is based on an inverse foreign key and has independent subclasses.
`static MetaDataException` | `unjoinable(ValueMapping vm)` Return an exception indicating that we cannot join to the given relation.
`static MetaDataException` | `unloadable(ValueMapping vm)` Return an exception indicating that the relation cannot be loaded because it has independent subclasses and does not represent a full oid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationStrategies

    public RelationStrategies()

Method Detail

### unjoinable

    public static MetaDataException unjoinable(ValueMapping vm)

  Return an exception indicating that we cannot join to the given relation.

### unloadable

    public static MetaDataException unloadable(ValueMapping vm)

  Return an exception indicating that the relation cannot be loaded because it has independent subclasses and does not represent a full oid.

### uninversable

    public static MetaDataException uninversable(ValueMapping vm)

  Return an exception indicating that the relation is invalid because it has is based on an inverse foreign key and has independent subclasses.

### toDataStoreValue

    public static Object toDataStoreValue(ValueMapping vm,
                                          Object val,
                                          JDBCStore store)

  Return the given object as its foreign key values.

  See Also:
    `FieldStrategy.toDataStoreValue(java.lang.Object, org.apache.openjpa.jdbc.kernel.JDBCStore)`

### mapRelationToUnmappedPC

    public static void mapRelationToUnmappedPC(ValueMapping vm,
                                               String name,
                                               boolean adapt)

  Map a logical foreign key to an unmapped base class relation.

### mapRelationToUnmappedPC

    public static void mapRelationToUnmappedPC(ValueMapping vm,
                                               DBIdentifier name,
                                               boolean adapt)

### getStateManager

    public static OpenJPAStateManager getStateManager(Object obj,
                                                      StoreContext ctx)

  Return the state manager for the given instance, using a detached state manager if the instnace is not managed.

### isRelationId

    public static boolean isRelationId(Column[] cols)

  Affirms if all of the given columns represent a relationship identifier.

### isRelationId

    public static boolean isRelationId(ForeignKey fk)

  Affirms if all of the foreign key columns represent a relationship identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.